## GDataGDEmailAddress

GDataGDEmailAddress — GData e-mail address element

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataGDEmailAddress * | gdata_gd_email_address_new ()
const gchar * | gdata_gd_email_address_get_address ()
void | gdata_gd_email_address_set_address ()
const gchar * | gdata_gd_email_address_get_relation_type ()
void | gdata_gd_email_address_set_relation_type ()
const gchar * | gdata_gd_email_address_get_label ()
void | gdata_gd_email_address_set_label ()
gboolean | gdata_gd_email_address_is_primary ()
void | gdata_gd_email_address_set_is_primary ()
const gchar * | gdata_gd_email_address_get_display_name ()
void | gdata_gd_email_address_set_display_name ()

## Properties

char * | address | Read / Write
char * | display-name | Read / Write
gboolean | is-primary | Read / Write
char * | label | Read / Write
char * | relation-type | Read / Write

## Types and Values

#define | GDATA_GD_EMAIL_ADDRESS_HOME
#define | GDATA_GD_EMAIL_ADDRESS_OTHER
#define | GDATA_GD_EMAIL_ADDRESS_WORK
| GDataGDEmailAddress
| GDataGDEmailAddressClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataGDEmailAddress

## Implemented Interfaces

GDataGDEmailAddress implements GDataComparable.

## Includes

    #include <gdata/gd/gdata-gd-email-address.h>

## Description

GDataGDEmailAddress represents an "email" element from the

GData specification.

## Functions

### gdata_gd_email_address_new ()

    GDataGDEmailAddress *
    gdata_gd_email_address_new (const gchar *address,
                                const gchar *relation_type,
                                const gchar *label,
                                gboolean is_primary);

Creates a new GDataGDEmailAddress. More information is available in the GData specification.

#### Parameters

address | the e-mail address |
relation_type | the relationship between the e-mail address and its owner, or `NULL`. | [allow-none]
label | a human-readable label for the e-mail address, or `NULL`. | [allow-none]
is_primary | `TRUE` if this e-mail address is its owner's primary address, `FALSE` otherwise |

#### Returns

a new GDataGDEmailAddress, or `NULL`; unref with `g_object_unref()`

Since: 0.2.0

### gdata_gd_email_address_get_address ()

    const gchar *
    gdata_gd_email_address_get_address (GDataGDEmailAddress *self);

Gets the “address” property.

#### Parameters

self | a GDataGDEmailAddress |

#### Returns

the e-mail address itself, or `NULL`

Since: 0.4.0

### gdata_gd_email_address_set_address ()

    void
    gdata_gd_email_address_set_address (GDataGDEmailAddress *self,
                                        const gchar *address);

Sets the “address” property to `address` .

#### Parameters

self | a GDataGDEmailAddress |
address | the new e-mail address |

Since: 0.4.0

### gdata_gd_email_address_get_relation_type ()

    const gchar *
    gdata_gd_email_address_get_relation_type
                                   (GDataGDEmailAddress *self);

Gets the “relation-type” property.

#### Parameters

self | a GDataGDEmailAddress |

#### Returns

the e-mail address' relation type, or `NULL`

Since: 0.4.0

### gdata_gd_email_address_set_relation_type ()

    void
    gdata_gd_email_address_set_relation_type
                                   (GDataGDEmailAddress *self,
                                    const gchar *relation_type);

Sets the “relation-type” property to `relation_type` .

Set `relation_type` to `NULL` to unset the property in the e-mail address.

#### Parameters

self | a GDataGDEmailAddress |
relation_type | the new relation type for the email_address, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_email_address_get_label ()

    const gchar *
    gdata_gd_email_address_get_label (GDataGDEmailAddress *self);

Gets the “label” property.

#### Parameters

self | a GDataGDEmailAddress |

#### Returns

the e-mail address' label, or `NULL`

Since: 0.4.0

### gdata_gd_email_address_set_label ()

    void
    gdata_gd_email_address_set_label (GDataGDEmailAddress *self,
                                      const gchar *label);

Sets the “label” property to `label` .

Set `label` to `NULL` to unset the property in the e-mail address.

#### Parameters

self | a GDataGDEmailAddress |
label | the new label for the e-mail address, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_email_address_is_primary ()

    gboolean
    gdata_gd_email_address_is_primary (GDataGDEmailAddress *self);

Gets the “is-primary” property.

#### Parameters

self | a GDataGDEmailAddress |

#### Returns

`TRUE` if this is the primary e-mail address, `FALSE` otherwise

Since: 0.4.0

### gdata_gd_email_address_set_is_primary ()

    void
    gdata_gd_email_address_set_is_primary (GDataGDEmailAddress *self,
                                           gboolean is_primary);

Sets the “is-primary” property to `is_primary` .

#### Parameters

self | a GDataGDEmailAddress |
is_primary | `TRUE` if this is the primary e-mail address, `FALSE` otherwise |

Since: 0.4.0

### gdata_gd_email_address_get_display_name ()

    const gchar *
    gdata_gd_email_address_get_display_name
                                   (GDataGDEmailAddress *self);

Gets the “display-name” property.

#### Parameters

self | a GDataGDEmailAddress |

#### Returns

a display name for the e-mail address, or `NULL`

Since: 0.6.0

### gdata_gd_email_address_set_display_name ()

    void
    gdata_gd_email_address_set_display_name
                                   (GDataGDEmailAddress *self,
                                    const gchar *display_name);

Sets the “display-name” property to `display_name` .

Set `display_name` to `NULL` to unset the property in the e-mail address.

#### Parameters

self | a GDataGDEmailAddress |
display_name | the new display name, or `NULL`. | [allow-none]

Since: 0.6.0

## Types and Values

### GDATA_GD_EMAIL_ADDRESS_HOME

    #define GDATA_GD_EMAIL_ADDRESS_HOME "http://schemas.google.com/g/2005#home"

The relation type URI for a home e-mail address.

Since: 0.7.0

### GDATA_GD_EMAIL_ADDRESS_OTHER

    #define GDATA_GD_EMAIL_ADDRESS_OTHER "http://schemas.google.com/g/2005#other"

The relation type URI for a miscellaneous e-mail address.

Since: 0.7.0

### GDATA_GD_EMAIL_ADDRESS_WORK

    #define GDATA_GD_EMAIL_ADDRESS_WORK "http://schemas.google.com/g/2005#work"

The relation type URI for a work e-mail address.

Since: 0.7.0

### GDataGDEmailAddress

    typedef struct _GDataGDEmailAddress GDataGDEmailAddress;

All the fields in the GDataGDEmailAddress structure are private and should never be accessed directly.

Since: 0.2.0

### GDataGDEmailAddressClass

    typedef struct {
    } GDataGDEmailAddressClass;

All the fields in the GDataGDEmailAddressClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“address”` property

      “address”                  char *

The e-mail address itself.

For more information, see the

GData specification.

Owner: GDataGDEmailAddress

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“display-name”` property

      “display-name”             char *

A display name of the entity (e.g. a person) the e-mail address belongs to.

For more information, see the

GData specification.

Owner: GDataGDEmailAddress

Flags: Read / Write

Default value: NULL

Since: 0.6.0

### The `“is-primary”` property

      “is-primary”               gboolean

Indicates which e-mail address out of a group is primary.

For more information, see the

GData specification.

Owner: GDataGDEmailAddress

Flags: Read / Write

Default value: FALSE

Since: 0.4.0

### The `“label”` property

      “label”                    char *

A simple string value used to name this e-mail address. It allows UIs to display a label such as "Work", "Personal", "Preferred", etc.

For more information, see the

GData specification.

Owner: GDataGDEmailAddress

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“relation-type”` property

      “relation-type”            char *

A programmatic value that identifies the type of e-mail address. For example: `GDATA_GD_EMAIL_ADDRESS_HOME` or `GDATA_GD_EMAIL_ADDRESS_WORK`.

For more information, see the

GData specification.

Owner: GDataGDEmailAddress

Flags: Read / Write

Default value: NULL

Since: 0.4.0